MySQL++: mysqlpp::DataOption< T > Class Template Reference
mysqlpp::DataOption< T > Class Template Reference

Define abstract interface for all *Options that take a lone scalar as an argument. More...

`#include <options.h>`

Inheritance diagram for mysqlpp::DataOption< T >:
[legend]
Collaboration diagram for mysqlpp::DataOption< T >:
[legend]

## Public Types

typedef T | ArgType
| Alias for template param.
Public Types inherited from mysqlpp::Option
enum | Error { err_NONE, err_api_limit, err_api_reject, err_connected, err_disconnected }
| Types of option setting errors we can diagnose. More...

## Protected Member Functions

| DataOption (const T &arg)
| Construct object.

## Protected Attributes

T | arg_
| The argument value.

## Additional Inherited Members

Public Member Functions inherited from mysqlpp::Option
virtual | ~Option ()
| Destroy object.
virtual Error | set (DBDriver *dbd)=0
| Apply option.

## Detailed Description

### template<typename T>
class mysqlpp::DataOption< T >

Define abstract interface for all *Options that take a lone scalar as an argument.

The documentation for this class was generated from the following file:

- options.h